[SciPy-user] wrong compiler selected?

Robert Cimrman cimrman3@ntc.zcu...
Tue Aug 5 07:27:43 CDT 2008


Hi,

This is a follow-up to "rev 4595 broken" thread.

I got numpy to compile, as I explained (but the e-mail has not arrived 
yet). Now I have another problem:

building 'scipy.sparse.sparsetools._csr' extension
compiling C++ sources
C compiler: i486-pc-linux-gnu-g++ -pthread -fno-strict-aliasing -DNDEBUG 
-fPIC

creating build/temp.linux-i686-2.4/scipy/sparse
creating build/temp.linux-i686-2.4/scipy/sparse/sparsetools
compile options: 
'-I/home/share/software/usr/lib/python2.4/site-packages/numpy/core/include 
-I/usr/include/python2.4 -c'
i486-pc-linux-gnu-g++: scipy/sparse/sparsetools/csr_wrap.cxx
scipy/sparse/sparsetools/csr_wrap.cxx: In function 'int 
require_size(PyArrayObject*, npy_intp*, int)':
scipy/sparse/sparsetools/csr_wrap.cxx:2902: error: expected `)' before 
'PRIdPTR'
scipy/sparse/sparsetools/csr_wrap.cxx:2909: error: expected `)' before 
'PRIdPTR'

It looks like NPY_USE_C99_FORMATS is set to one, causing 'PRIdPTR' 
instead of 'd' to be used in NPY_INTP_FMT

Is this a problem of numpy compiler selection, or else?

SciPy compiles fine when I tweaked this manually.


r.


More information about the SciPy-user mailing list